%define name    lv2
%define version 1.8.0
%define release 5

Name: lv2
Version: 1.8.0
Release: 5.rncbc.suse131

License:        LGPLv2.1+ ; X11 MIT ; GPLv2+ ; BSD3c
Group:          Development/Tools/Other
Summary:        LV2 stable version
URL:            http://lv2plug.in
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  python python-rdflib python-xml gcc-c++ pkgconfig

%description
LV2 is a plugin standard for audio systems. It defines a minimal yet extensible C API for plugin code and a format for plugin "bundles".

LV2 is a successor of  LADSPA that aims to remain simple yet adds extensibility which enables more advanced plugin functionality (e.g. MIDI or graphical interfaces).

Authors:
--------
   Steve Harris, David Robillard

%package        devel
License:        LGPLv2.1+ ; X11 MIT ; GPLv2+ ; BSD3c
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.
The LV2 header (lv2.h) and core bundle (lv2core.lv2) are maintained by

Authors
-------
David Robillard <d@drobilla.net>
Steve Harris <steve@plugin.org.uk>
with the input and help of many others.
Thanks to all members of the free software community who made LV2 possible.

%prep
%setup -q

%build
export LV2_PATH=%{_libdir}/lv2
export CFLAGS="%{optflags} -fPIC -ggdb"
export CXXFLAGS="$CFLAGS"
./waf --prefix=%{_prefix} --libdir=%{_libdir} configure
./waf

%install
./waf --destdir=%{buildroot} install

#gzip -9 $RPM_BUILD_ROOT/usr/share/man/man1/optipng.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/lv2*
%{_datadir}/lv2*

%files devel
%defattr(-,root,root,-)
%{_includedir}/lv2.h
%dir %{_includedir}/lv2
%{_includedir}/lv2/lv2plug.in
%dir %{_libdir}/lv2
%{_libdir}/lv2/*
#%{_libdir}/pkgconfig/
%{_libdir}/pkgconfig/lv2*

%changelog
* Sun Jan  5 2014 Rui Nuno Capela <rncbc@rncbc.org> - 1.8.0-5
- New 1.8.0 release.
* Mon Aug 19 2013 Rui Nuno Capela <rncbc@rncbc.org> - 1.6.0-4
- New 1.6.0 release.
* Mon Apr 15 2013 Rui Nuno Capela <rncbc@rncbc.org> - 1.4.0-3
- New 1.4.0 release.
* Mon Oct 15 2012 Rui Nuno Capela <rncbc@rncbc.org> - 1.2.0-2
- New 1.2.0 release.
* Fri May 11 2012 Rui Nuno Capela <rncbc@rncbc.org> - 1.0.0-1
- Initial spec build.
